# __atomic0::atomic_bool Struct Reference

atomic_bool More...

List of all members.

## Public Member Functions

- atomic_bool (bool __i)
- atomic_bool (const atomic_bool &)
- bool compare_exchange_strong (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatile
- bool compare_exchange_strong (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatile
- bool compare_exchange_weak (bool &__i1, bool __i2, memory_order __m=memory_order_seq_cst) volatile
- bool compare_exchange_weak (bool &__i1, bool __i2, memory_order __m1, memory_order __m2) volatile
- bool exchange (bool __i, memory_order __m=memory_order_seq_cst) volatile
- bool is_lock_free () const volatile
- bool load (memory_order __m=memory_order_seq_cst) const volatile
- operator bool () const volatile
- bool operator= (bool __i)
- atomic_bool & operator= (const atomic_bool &)
- void store (bool __i, memory_order __m=memory_order_seq_cst) volatile

## Detailed Description

atomic_bool

Definition at line 397 of file atomic_0.h.

The documentation for this struct was generated from the following file:

- atomic_0.h